%define name gproc
%define version 0.6.0
%define release 1mdk

%define data /usr/share
%define bin  /usr/bin

Summary: Processes manager
Name: %{name}
Version:  %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:	gproc.diff.bz2
URL: http://gproc.cjb.net
License: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr/X11R6

%description
GProc is a gnome applet which allows you to manage your running processes with
only a few mouse clicks. 

%prep
%setup -q
%patch0

make CFLAGS="$RPM_OPT_FLAGS `gnome-config --cflags applets`" DATA=%{data} BIN=%{bin}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin	\
	$RPM_BUILD_ROOT`gnome-config --sysconfdir`/CORBA/servers	\
	$RPM_BUILD_ROOT`gnome-config --datadir`/applets/Utility/
perl -pi -e 's!/usr/local/!'$RPM_BUILD_ROOT/%_prefix/share/'!g' src/Makefile
%makeinstall  DATA=$RPM_BUILD_ROOT%{data} BIN=$RPM_BUILD_ROOT%{bin}
#install -m 755 gproc $RPM_BUILD_ROOT%{prefix}/bin/
#install -m 755 gproc.gnorba  $RPM_BUILD_ROOT`gnome-config --sysconfdir`/CORBA/servers/
#install -m 755 gproc.desktop $RPM_BUILD_ROOT`gnome-config --datadir`/applets/Utility/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS    LICENSE   README
/usr//bin/*
%config /etc/CORBA/*
%{_datadir}/%name/*/*


%changelog
* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.0-1mdk
- capitalize summary
- new release
- fix url
- spec clean

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.2-4mdk
- BM
- fix bad files section

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- fix group
- fix files section

* Fri Dec 17 1999 lenny Cartier <lenny@mandrakesoft.com>
- fix uninstall messages

* Wed Sep 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.3.2 (better use of Gtk+ => nicer gui)

* Tue Sep 14 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.30.1
* Wed Sep 08 1999 Daouda LO <daouda@mandrakesoft.com>
-0.3.0
* Mon Sep 06 1999 Daouda Lo <daouda@mandrakesoft.com>
-0.2.91
* Fri Sep 03 1999 Daouda LO <daouda@mandrakesoft.com>
 -0.2.9
 
* Wed Aug 18 1999 Daouda LO <daouda@mandrakesoft.com>
- release 2mdk
- remove the description fr

# end of file
